Skip to main content
GET
/
model-monitor
/
v2
/
api
/
model
/
{model_id}
/
model-quality-user-query
Returns model quality user config for the model.
curl --request GET \
  --url https://api.example.com/model-monitor/v2/api/model/{model_id}/model-quality-user-query \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "modelType": "<string>",
  "metricCheckConfigs": [
    {
      "alertsEnabled": true,
      "threshold": {
        "operator": "<string>",
        "lowerThreshold": 123,
        "upperThreshold": 123
      }
    }
  ],
  "modelId": "<string>",
  "userId": "<string>",
  "startTimestamp": 123,
  "endTimestamp": 123
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

model_id
string
required

Identifier for the model.

Response

The model quality user query was fetched successfully.

Query config for Regression model

modelType
string
required

Type of the model

metricCheckConfigs
Metric Query config Common components · object[]
required
modelId
string
required

Unique identifier of the model.

userId
string
required

Unique identifier of the user.

startTimestamp
number
endTimestamp
number